.timeline-line {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 50%;
  width: 4px;
  background: linear-gradient(#2563EB, #9333EA);
  transform: translateX(-50%);  
  /* Invisible buffer around */
  box-shadow: 0 0 0 20px #FAF9FB; 
}

.timeline-item {
  position: relative;
}

.timeline-item::before {
  content: '';
  position: absolute;
  top: 85px;
  left: 50%;
  transform: translateX(-50%);
  width: 24px;
  height: 24px;
  background: #fff;
  border: 3px solid #9333EA;
  border-radius: 50%;
  z-index: 2;
}

.timeline-card {
  border-radius: 12px;
  background: #fff;
}

/* Mobile view adjustments */
@media (max-width: 999px) {
  .timeline-line {
    left: 20px;              /* Move line to far left */
    transform: none;
  }

  .timeline-item {
    display: flex;
    justify-content: flex-start !important; /* overwrite flex-end */
    margin-left: 30px;
  }

  .timeline-item .col-lg-6 {
    max-width: 90%;       /* Keep cards neat, not full width */
  }

   .timeline-item::before {
    left: 35px;               /* Marker follows the line */
    transform: translateX(-230%);
  }
}